//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef CALENDARIOWINDOW_H
#define CALENDARIOWINDOW_H

#include <QDialog>
#include <QDate>
#include <QKeyEvent>

namespace Ui {
    class CalendarioWindow;
}

class CalendarioWindow : public QDialog
{
    Q_OBJECT

public:
    explicit CalendarioWindow(QWidget *parent = 0);
    ~CalendarioWindow();

private slots:

    void on_pushButtonEliminar_clicked();

    void on_pushButtonAnadir_clicked();

    void keyPressEvent(QKeyEvent *e);

    void on_calendarWidget_clicked(const QDate &date);

    void on_tableWidgetFestivos_cellClicked(int row, int column);

    void on_comboBoxCalendario_currentIndexChanged(const QString &arg1);

private:
    Ui::CalendarioWindow *ui;

    void refreshTable(QString calendario="");
};

#endif // CALENDARIOWINDOW_H
