//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef DEALSWINDOW_H
#define DEALSWINDOW_H

#include <QDialog>
#include <irswindow.h>
#include <europeanoptionwindow.h>

namespace Ui {
    class DealsWindow;
}

class DealsWindow : public QDialog
{
    Q_OBJECT

public:
    explicit DealsWindow(QWidget *parent = 0);
    ~DealsWindow();

private slots:
    void on_comboBoxFamilia_currentIndexChanged(const QString &arg1);

    void on_comboBoxFamiliaIns_currentIndexChanged(const QString &arg1);

    void on_checkBoxFiltrar_clicked(bool checked);

    void on_pushButtonInsertar_clicked();

    void on_tablaDeals_cellClicked(int row, int column);

    void on_pushButtonEliminar_clicked();

    void on_pushButtonEditarSeleccionado_clicked();

    void keyPressEvent(QKeyEvent *e);

    void on_pushButton_clicked();

    void on_comboBoxTipo_currentIndexChanged(const QString &arg1);

private:
    Ui::DealsWindow *ui;
};

#endif // DEALSWINDOW_H
