//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef EuropeanOptionWINDOW_H
#define EuropeanOptionWINDOW_H

#include <QDialog>
#include <QAbstractButton>

namespace Ui {
    class EuropeanOptionWindow;
}

class EuropeanOptionWindow : public QDialog
{
    Q_OBJECT

public:
    explicit EuropeanOptionWindow(int ID, QWidget *parent = 0);
    QString contractID;
    ~EuropeanOptionWindow();

private slots:
    void on_pushButtonDesdeCalSettlement_clicked();

    void on_pushButtonDesdeCalMaturity_clicked();

    void on_pushButtonValorar_clicked();

    void keyPressEvent(QKeyEvent *e);

    void on_buttonBox_clicked(QAbstractButton *button);

    void on_comboBoxSubyacente_currentIndexChanged(const QString &arg1);

    void on_comboBoxTipoSubyacente_currentIndexChanged(const QString &arg1);

private:
    Ui::EuropeanOptionWindow *ui;
    int dealID;
};

#endif // EuropeanOptionWINDOW_H
