//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef FIJACIONESWINDOW_H
#define FIJACIONESWINDOW_H

#include <QDialog>
#include <QDate>

namespace Ui {
    class FijacionesWindow;
}

class FijacionesWindow : public QDialog
{
    Q_OBJECT

public:
    explicit FijacionesWindow(QString mIndice, QWidget *parent = 0);
    QString indice;
    ~FijacionesWindow();

private slots:

    void on_tableWidgetFijaciones_cellClicked(int row, int column);

    void on_pushButtonEliminar_clicked();

    void on_pushButtonAnadir_clicked();

    void on_calendarWidget_clicked(const QDate &date);

private:
    Ui::FijacionesWindow *ui;
};

#endif // FIJACIONESWINDOW_H
