//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#include "flujoswindow.h"
#include "ui_flujoswindow.h"

FlujosWindow::FlujosWindow(QTableWidget *tabla, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::FlujosWindow)
{
    ui->setupUi(this);
    int numRows=tabla->rowCount();
    ui->tableWidget->setRowCount(numRows);
    ui->tableWidget->setColumnCount(1);
    QString tituloTabla("FECHA DE PAGO");
    ui->tableWidget->setHorizontalHeaderLabels(tituloTabla.split(";"));
    for (int i=0; i<numRows; i++)
    {
        ui->tableWidget->setItem(i, 0, new QTableWidgetItem(tabla->item(i,0)->text()));
    }
    ui->tableWidget->resizeColumnsToContents();
}

FlujosWindow::~FlujosWindow()
{
    delete ui;
}
