//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef TIPOSCAMBIOWINDOW_H
#define TIPOSCAMBIOWINDOW_H

#include <QDialog>

namespace Ui {
    class TiposCambioWindow;
}

class TiposCambioWindow : public QDialog
{
    Q_OBJECT

public:
    explicit TiposCambioWindow(QWidget *parent = 0);
    ~TiposCambioWindow();

private slots:
    void on_addTipoCambioButton_clicked();

    void on_delTipoCambioButton_clicked();

    void on_tableWidget_cellChanged(int row, int column);

    void on_cleanButton_clicked();

    void on_refrescarButton_clicked();

    void keyPressEvent(QKeyEvent *e);

    void on_comboBoxDefaultCurrency_currentIndexChanged(const QString &arg1);

private:
    Ui::TiposCambioWindow *ui;
    bool initializing;
};

#endif // TIPOSCAMBIOWINDOW_H
