-- phpMyAdmin SQL Dump
-- version 3.4.5deb1
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 07-06-2012 a las 20:23:21
-- Versión del servidor: 5.1.62
-- Versión de PHP: 5.3.6-13ubuntu3.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `finanval`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `calendarios`
--

DROP TABLE IF EXISTS `calendarios`;
CREATE TABLE IF NOT EXISTS `calendarios` (
  `CALENDAR_ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `ADDED_HOLIDAYS` mediumtext COLLATE latin1_spanish_ci NOT NULL,
  `REMOVED_HOLIDAYS` mediumtext COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`CALENDAR_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;

--
-- Volcado de datos para la tabla `calendarios`
--

INSERT INTO `calendarios` (`CALENDAR_ID`, `ADDED_HOLIDAYS`, `REMOVED_HOLIDAYS`) VALUES
('Argentina:Merval', '', ';2001-1-2'),
('Australia', '', ''),
('Brazil:Exchange', '', ''),
('Brazil:Settlement', '', ''),
('Canada:Settlement', '', ''),
('Canada:TSX', '', ''),
('China', '', ';2001-1-2'),
('CzechRepublic:PSE', '', ''),
('Denmark', '', ''),
('Finland', '', ''),
('Germany:Eurex', '', ''),
('Germany:FrankfurtStockExchange', '', ''),
('Germany:Settlement', '', ''),
('Germany:Xetra', '', ''),
('HongKong:HKEx', '', ''),
('Hungary', '', ''),
('Iceland:ICEX', '', ''),
('India:NSE', '', ''),
('Indonesia:BEJ', '', ''),
('Indonesia:JSX', '', ''),
('Italy:Exchange', '', ''),
('Italy:Settlement', '', ''),
('Japan', '', ''),
('Mexico:BMV', '', ''),
('NewZealand', '', ''),
('Norway', '', ''),
('Poland', '', ''),
('SaudiArabia:Tadawul', '', ''),
('Singapore:SGX', '', ''),
('Slovakia:BSSE', '', ''),
('SouthAfrica', '', ''),
('SouthKorea:KRX', '', ''),
('Sweden', '', ''),
('Switzerland', '', ''),
('Taiwan:TSEC', '', ''),
('TARGET', '', ''),
('Turkey', '', ''),
('Ukraine:USE', '', ''),
('UnitedKingdom:Exchange', '', ''),
('UnitedKingdom:Metals', '', ''),
('UnitedKingdom:Settlement', '', ''),
('UnitedStates:GovernmentBond', '', ''),
('UnitedStates:NERC', '', ''),
('UnitedStates:NYSE', '', ''),
('UnitedStates:Settlement', '', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `convenciones_calendario`
--

DROP TABLE IF EXISTS `convenciones_calendario`;
CREATE TABLE IF NOT EXISTS `convenciones_calendario` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Contadores de días';

--
-- Volcado de datos para la tabla `convenciones_calendario`
--

INSERT INTO `convenciones_calendario` (`ID`) VALUES
('Actual360'),
('Actual365Fixed'),
('ActualActual'),
('Business252'),
('Thirty360');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `convenciones_festivos`
--

DROP TABLE IF EXISTS `convenciones_festivos`;
CREATE TABLE IF NOT EXISTS `convenciones_festivos` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `DESCRIPCION` varchar(200) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla con constantes para reaccionar ante un festivo';

--
-- Volcado de datos para la tabla `convenciones_festivos`
--

INSERT INTO `convenciones_festivos` (`ID`, `DESCRIPCION`) VALUES
('Following', 'The transaction date will be the first following day that is a business day'),
('ModifiedFollowing', 'The transaction date will be the first following day that is a business day unless it is in the next month. In this case it will be the first preceding day that is a business day'),
('ModifiedPreceding', 'The transaction date will be the first preceding day that is a business day, unless it is in the previous month. In this case it will be the first following day that is a business day'),
('Preceding', 'The transaction date will be the first preceding day that is a business day'),
('Unadjusted', 'Not Adjusted');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `curvas`
--

DROP TABLE IF EXISTS `curvas`;
CREATE TABLE IF NOT EXISTS `curvas` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `CURRENCY_ISO` varchar(3) COLLATE latin1_spanish_ci NOT NULL,
  `TOLERANCIA` double NOT NULL,
  `CONVENCION_CALENDARIO` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `CURRENCY_ISO` (`CURRENCY_ISO`),
  KEY `CONVENCION` (`CONVENCION_CALENDARIO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Definición de curvas';

--
-- Volcado de datos para la tabla `curvas`
--

INSERT INTO `curvas` (`ID`, `CURRENCY_ISO`, `TOLERANCIA`, `CONVENCION_CALENDARIO`) VALUES
('DEPO_SWAP_EUR', 'EUR', 1e-15, 'Actual360');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `curva_producto`
--

DROP TABLE IF EXISTS `curva_producto`;
CREATE TABLE IF NOT EXISTS `curva_producto` (
  `ID_CURVA` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `ID_PRODUCTO` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  KEY `ID_CURVA` (`ID_CURVA`),
  KEY `ID_PRODUCTO` (`ID_PRODUCTO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;

--
-- Volcado de datos para la tabla `curva_producto`
--

INSERT INTO `curva_producto` (`ID_CURVA`, `ID_PRODUCTO`) VALUES
('DEPO_SWAP_EUR', 'd1w'),
('DEPO_SWAP_EUR', 'd1m'),
('DEPO_SWAP_EUR', 'd3m'),
('DEPO_SWAP_EUR', 'd6m'),
('DEPO_SWAP_EUR', 'd9m'),
('DEPO_SWAP_EUR', 'd1y'),
('DEPO_SWAP_EUR', 's2y'),
('DEPO_SWAP_EUR', 's3y'),
('DEPO_SWAP_EUR', 's5y'),
('DEPO_SWAP_EUR', 's10y'),
('DEPO_SWAP_EUR', 's15y');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `deals`
--

DROP TABLE IF EXISTS `deals`;
CREATE TABLE IF NOT EXISTS `deals` (
  `ID` int(10) unsigned NOT NULL,
  `PRODUCT` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `SETTLEMENT` date NOT NULL,
  `MATURITY` date NOT NULL,
  `CURRENCY_ISO` varchar(3) COLLATE latin1_spanish_ci NOT NULL,
  `NOMINAL` int(15) unsigned NOT NULL,
  `TYPE` enum('Pagador','Recibidor','Put','Call') COLLATE latin1_spanish_ci NOT NULL,
  `SPREAD` double NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `CURRENCY_ISO` (`CURRENCY_ISO`),
  KEY `PRODUCT` (`PRODUCT`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla de deals';

--
-- Volcado de datos para la tabla `deals`
--

INSERT INTO `deals` (`ID`, `PRODUCT`, `SETTLEMENT`, `MATURITY`, `CURRENCY_ISO`, `NOMINAL`, `TYPE`, `SPREAD`) VALUES
(1, 'IRS', '2012-05-28', '2015-05-14', 'EUR', 1500, 'Pagador', 1),
(2, 'IRS', '2012-05-30', '2015-09-28', 'EUR', 2000, 'Pagador', 2),
(3, 'IRS', '2012-05-30', '2015-09-28', 'EUR', 4000, 'Pagador', 2),
(5, 'European Option', '2012-05-31', '2016-05-17', 'EUR', 10000, 'Put', 0),
(6, 'European Option', '2012-06-04', '2015-06-30', 'EUR', 2000, 'Put', 0),
(7, 'European Option', '2012-06-29', '2015-06-22', 'EUR', 2500, 'Put', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `deals_leg`
--

DROP TABLE IF EXISTS `deals_leg`;
CREATE TABLE IF NOT EXISTS `deals_leg` (
  `ID_DEAL` int(10) unsigned NOT NULL,
  `ID_LEG` int(10) unsigned NOT NULL,
  PRIMARY KEY (`ID_DEAL`,`ID_LEG`),
  KEY `ID_LEG` (`ID_LEG`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Tabla de relacion';

--
-- Volcado de datos para la tabla `deals_leg`
--

INSERT INTO `deals_leg` (`ID_DEAL`, `ID_LEG`) VALUES
(2, 23),
(2, 24),
(3, 31),
(3, 32),
(1, 33),
(1, 34);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `depositos`
--

DROP TABLE IF EXISTS `depositos`;
CREATE TABLE IF NOT EXISTS `depositos` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `PLAZO` int(2) unsigned NOT NULL,
  `PERIODO` enum('Dia','Semana','Mes','Anio') COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Depositos';

--
-- Volcado de datos para la tabla `depositos`
--

INSERT INTO `depositos` (`ID`, `PLAZO`, `PERIODO`) VALUES
('d1m', 1, 'Mes'),
('d1w', 1, 'Semana'),
('d1y', 1, 'Anio'),
('d2y', 2, 'Anio'),
('d3m', 3, 'Mes'),
('d6m', 6, 'Mes'),
('d9m', 9, 'Mes');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `divisas`
--

DROP TABLE IF EXISTS `divisas`;
CREATE TABLE IF NOT EXISTS `divisas` (
  `CURRENCY_ISO` varchar(3) COLLATE latin1_spanish_ci NOT NULL,
  `NAME` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `INDICE` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `SPOT_SCHEDULE` int(2) unsigned NOT NULL,
  `CALENDAR_ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`CURRENCY_ISO`),
  KEY `CALENDAR_ID` (`CALENDAR_ID`),
  KEY `INDICE` (`INDICE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla de Divisas';

--
-- Volcado de datos para la tabla `divisas`
--

INSERT INTO `divisas` (`CURRENCY_ISO`, `NAME`, `INDICE`, `SPOT_SCHEDULE`, `CALENDAR_ID`) VALUES
('ARG', 'ARGENTINA', 'USDLIBOR', 2, 'Argentina:Merval'),
('EUR', 'EURO', 'EURIBOR', 2, 'TARGET'),
('MIA', 'MI DIVISA', 'JIBAR', 2, 'Japan'),
('USD', 'US DOLLAR', 'USDLIBOR', 2, 'UnitedStates:Settlement');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `divisa_defecto`
--

DROP TABLE IF EXISTS `divisa_defecto`;
CREATE TABLE IF NOT EXISTS `divisa_defecto` (
  `CURRENCY_ISO` varchar(3) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`CURRENCY_ISO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Divisa por defecto para informes';

--
-- Volcado de datos para la tabla `divisa_defecto`
--

INSERT INTO `divisa_defecto` (`CURRENCY_ISO`) VALUES
('EUR');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `european_option`
--

DROP TABLE IF EXISTS `european_option`;
CREATE TABLE IF NOT EXISTS `european_option` (
  `ID` int(10) unsigned NOT NULL,
  `TIPO_SUBYACENTE` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `SUBYACENTE` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `STRIKE` double NOT NULL,
  `TIPO_LIBRE` double NOT NULL,
  `VOLATILIDAD` double NOT NULL,
  `CONVENCION_CALENDARIO` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `CALENDARIO` (`CONVENCION_CALENDARIO`),
  KEY `TIPO_SUBYACENTE` (`TIPO_SUBYACENTE`),
  KEY `SUBYACENTE` (`SUBYACENTE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Opciones europeas';

--
-- Volcado de datos para la tabla `european_option`
--

INSERT INTO `european_option` (`ID`, `TIPO_SUBYACENTE`, `SUBYACENTE`, `STRIKE`, `TIPO_LIBRE`, `VOLATILIDAD`, `CONVENCION_CALENDARIO`) VALUES
(5, 'Deposito', 'd1m', 1.2675, 0.05, 15, 'Actual360'),
(6, 'Futuro', 'fut1', 96.2875, 0.05, 5, 'Actual360'),
(7, 'Futuro', 'fut2', 100, 0.05, 15, 'Actual360');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `familias`
--

DROP TABLE IF EXISTS `familias`;
CREATE TABLE IF NOT EXISTS `familias` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tipos de productos';

--
-- Volcado de datos para la tabla `familias`
--

INSERT INTO `familias` (`ID`) VALUES
('COMMODITIES'),
('CREDITO'),
('DIVISAS'),
('EQUITY'),
('INFLACION'),
('TIPOS');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `familia_tipo_producto`
--

DROP TABLE IF EXISTS `familia_tipo_producto`;
CREATE TABLE IF NOT EXISTS `familia_tipo_producto` (
  `ID_FAMILIA` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `ID_PRODUCTO` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID_FAMILIA`,`ID_PRODUCTO`),
  KEY `ID_PRODUCTO` (`ID_PRODUCTO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Relación famila-producto';

--
-- Volcado de datos para la tabla `familia_tipo_producto`
--

INSERT INTO `familia_tipo_producto` (`ID_FAMILIA`, `ID_PRODUCTO`) VALUES
('TIPOS', 'AsianOption'),
('TIPOS', 'CapFloor'),
('DIVISAS', 'CCS'),
('CREDITO', 'CDS'),
('EQUITY', 'Cliquet'),
('COMMODITIES', 'EnergyBasisSwap'),
('COMMODITIES', 'EnergyFuture'),
('COMMODITIES', 'EnergyVanillaSwap'),
('TIPOS', 'European Option'),
('DIVISAS', 'Forward'),
('INFLACION', 'InflationSwap'),
('TIPOS', 'IRS'),
('DIVISAS', 'QuantoOption'),
('TIPOS', 'Swaption');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `fijaciones`
--

DROP TABLE IF EXISTS `fijaciones`;
CREATE TABLE IF NOT EXISTS `fijaciones` (
  `INDICE` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `FECHA` date NOT NULL,
  `VALOR` double NOT NULL,
  PRIMARY KEY (`INDICE`,`FECHA`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='fixings de Indices';

--
-- Volcado de datos para la tabla `fijaciones`
--

INSERT INTO `fijaciones` (`INDICE`, `FECHA`, `VALOR`) VALUES
('CADLIBOR3M', '2012-05-21', 3.23),
('CADLIBOR3M', '2012-05-30', 2),
('EURIBOR10M', '2012-05-28', 1),
('EURIBOR3M', '2012-05-21', 1),
('EURIBOR3M', '2012-05-28', 3.2),
('EURIBOR3M', '2012-05-30', 3.21),
('EURIBOR6M', '2012-05-28', 3.2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `fras`
--

DROP TABLE IF EXISTS `fras`;
CREATE TABLE IF NOT EXISTS `fras` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `MONTHSTOSTART` int(10) unsigned NOT NULL,
  `MONTHSTOEND` int(10) unsigned NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Forward Rate Aggrements';

--
-- Volcado de datos para la tabla `fras`
--

INSERT INTO `fras` (`ID`, `MONTHSTOSTART`, `MONTHSTOEND`) VALUES
('fra3x6', 3, 6),
('fra6x12', 6, 12),
('fra6x9', 6, 9);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `frecuencias`
--

DROP TABLE IF EXISTS `frecuencias`;
CREATE TABLE IF NOT EXISTS `frecuencias` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `DESCRIPCION` varchar(200) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Frecuencias de observacion';

--
-- Volcado de datos para la tabla `frecuencias`
--

INSERT INTO `frecuencias` (`ID`, `DESCRIPCION`) VALUES
('Annual', 'Cada anio'),
('Bimonthly', 'Cada 2 meses'),
('Biweekly', 'Cada 2 semanas'),
('Daily', 'Diaria'),
('EveryFourthMonth', 'Cada 4 meses'),
('EveryFourthWeek', 'Cada 4 semanas'),
('Monthly', 'Mensual'),
('Once', 'Una vez'),
('Quarterly', 'Cada 3 meses'),
('Semiannual', 'Cada 6 meses'),
('Weekly', 'Semanal');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `futuros`
--

DROP TABLE IF EXISTS `futuros`;
CREATE TABLE IF NOT EXISTS `futuros` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `MONTHS` int(10) unsigned NOT NULL,
  `IMM_DATE` date NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla de futuros';

--
-- Volcado de datos para la tabla `futuros`
--

INSERT INTO `futuros` (`ID`, `MONTHS`, `IMM_DATE`) VALUES
('fut1', 3, '2012-06-20'),
('fut2', 3, '2012-09-19'),
('fut3', 3, '2012-12-19'),
('fut4', 3, '2013-03-20');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `indices`
--

DROP TABLE IF EXISTS `indices`;
CREATE TABLE IF NOT EXISTS `indices` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `INDICE_ESTANDAR` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `PLAZO` int(10) unsigned NOT NULL,
  `PERIODO` enum('Dia','Semana','Mes','Anio') COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `INDICE_ESTANDAR` (`INDICE_ESTANDAR`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla de indices';

--
-- Volcado de datos para la tabla `indices`
--

INSERT INTO `indices` (`ID`, `INDICE_ESTANDAR`, `PLAZO`, `PERIODO`) VALUES
('CADLIBOR3M', 'CADLIBOR', 3, 'Mes'),
('EURIBOR10M', 'EURIBOR', 10, 'Mes'),
('EURIBOR3M', 'EURIBOR', 3, 'Mes'),
('EURIBOR6M', 'EURIBOR', 6, 'Mes'),
('JIBAR3M', 'JIBAR', 3, 'Mes');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `indices_estandar`
--

DROP TABLE IF EXISTS `indices_estandar`;
CREATE TABLE IF NOT EXISTS `indices_estandar` (
  `ID` varchar(50) CHARACTER SET latin1 COLLATE latin1_spanish_ci NOT NULL,
  `DESCRIPCION` varchar(200) CHARACTER SET latin1 COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Tabla de indices de mercado';

--
-- Volcado de datos para la tabla `indices_estandar`
--

INSERT INTO `indices_estandar` (`ID`, `DESCRIPCION`) VALUES
('AUDLIBOR', 'Australian Dollar LIBOR fixed by BBA'),
('CADLIBOR', 'Canadian Dollar LIBOR fixed by BBA'),
('CDOR', 'Canadian Dollar Offered Rate fixed by IDA'),
('CHFLIBOR', 'Swiss Franc LIBOR fixed by BBA'),
('DKKLIBOR', 'Danish Krona LIBOR fixed by BBA'),
('EURIBOR', 'Euribor rate fixed by the ECB'),
('EURIBOR365', 'Euribor rate adjusted for the mismatch between the actual/360 convention used for Euribor and the actual/365 convention previously used by a few pre-EUR currencies'),
('EURLIBOR', 'Euro LIBOR fixed by BBA'),
('GBPLIBOR', 'Pound Sterling LIBOR fixed by BBA'),
('JIBAR', 'Johannesburg Interbank Agreed Rate'),
('JPYLIBOR', 'Japanese Yen LIBOR fixed by BBA'),
('NZDLIBOR', 'New Zealand Dollar LIBOR fixed by BBA'),
('SEKLIBOR', 'Sweden Krone LIBOR fixed by BBA'),
('TIBOR', 'Tokyo Interbank Offered Rate'),
('TRLIBOR', 'TRY LIBOR fixed by TBA'),
('USDLIBOR', 'US Dollar LIBOR fixed by BBA'),
('ZIBOR', 'Zurich Interbank Offered Rate');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `irs`
--

DROP TABLE IF EXISTS `irs`;
CREATE TABLE IF NOT EXISTS `irs` (
  `ID` int(10) unsigned NOT NULL,
  `IS_FWDSTART` tinyint(1) NOT NULL,
  `FWDSTART` date NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Datos de IRS';

--
-- Volcado de datos para la tabla `irs`
--

INSERT INTO `irs` (`ID`, `IS_FWDSTART`, `FWDSTART`) VALUES
(1, 0, '2000-01-01'),
(2, 0, '2000-01-01'),
(3, 1, '2012-10-27');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `leg`
--

DROP TABLE IF EXISTS `leg`;
CREATE TABLE IF NOT EXISTS `leg` (
  `ID` int(10) unsigned NOT NULL,
  `FRECUENCIA` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `TIPO` enum('Fija','Flotante') COLLATE latin1_spanish_ci NOT NULL,
  `CONVENCION` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `CONTADOR` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `CURVA_ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FRECUENCIA` (`FRECUENCIA`),
  KEY `CONVENCION` (`CONVENCION`),
  KEY `CONTADOR` (`CONTADOR`),
  KEY `CURVA_ID` (`CURVA_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Estructura de una pata de boleta';

--
-- Volcado de datos para la tabla `leg`
--

INSERT INTO `leg` (`ID`, `FRECUENCIA`, `TIPO`, `CONVENCION`, `CONTADOR`, `CURVA_ID`) VALUES
(23, 'Annual', 'Fija', 'Following', 'Actual360', 'DEPO_SWAP_EUR'),
(24, 'Annual', 'Flotante', 'Preceding', 'ActualActual', 'DEPO_SWAP_EUR'),
(31, 'Annual', 'Fija', 'ModifiedFollowing', 'Actual360', 'DEPO_SWAP_EUR'),
(32, 'Quarterly', 'Flotante', 'ModifiedPreceding', 'Actual360', 'DEPO_SWAP_EUR'),
(33, 'Annual', 'Fija', 'ModifiedFollowing', 'Actual360', 'DEPO_SWAP_EUR'),
(34, 'Semiannual', 'Flotante', 'ModifiedPreceding', 'ActualActual', 'DEPO_SWAP_EUR');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `leg_fixed`
--

DROP TABLE IF EXISTS `leg_fixed`;
CREATE TABLE IF NOT EXISTS `leg_fixed` (
  `ID` int(10) unsigned NOT NULL,
  `TIPO_FIJO` double NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla para patas fijas';

--
-- Volcado de datos para la tabla `leg_fixed`
--

INSERT INTO `leg_fixed` (`ID`, `TIPO_FIJO`) VALUES
(23, 2),
(31, 2),
(33, 3);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `leg_floating`
--

DROP TABLE IF EXISTS `leg_floating`;
CREATE TABLE IF NOT EXISTS `leg_floating` (
  `ID` int(10) unsigned NOT NULL,
  `ID_FLOATING_INDEX` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `ID_FLOATING_INDEX` (`ID_FLOATING_INDEX`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tabla para pata flotante';

--
-- Volcado de datos para la tabla `leg_floating`
--

INSERT INTO `leg_floating` (`ID`, `ID_FLOATING_INDEX`) VALUES
(24, 'EURIBOR3M'),
(32, 'EURIBOR3M'),
(34, 'EURIBOR6M');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productos`
--

DROP TABLE IF EXISTS `productos`;
CREATE TABLE IF NOT EXISTS `productos` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `TIPO` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `CURRENCY_ISO` varchar(3) COLLATE latin1_spanish_ci NOT NULL,
  `QUOTE` double NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `CURRENCY_ISO` (`CURRENCY_ISO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;

--
-- Volcado de datos para la tabla `productos`
--

INSERT INTO `productos` (`ID`, `TIPO`, `CURRENCY_ISO`, `QUOTE`) VALUES
('d1m', 'Deposito', 'EUR', 0.0372),
('d1w', 'Deposito', 'EUR', 0.0382),
('d1y', 'Deposito', 'EUR', 0.0345),
('d2y', 'Deposito', 'EUR', 0.033),
('d3m', 'Deposito', 'EUR', 0.0363),
('d6m', 'Deposito', 'EUR', 0.0353),
('d9m', 'Deposito', 'EUR', 0.0348),
('fra3x6', 'Fra', 'EUR', 0.037123),
('fra6x12', 'Fra', 'EUR', 0.37125),
('fra6x9', 'Fra', 'EUR', 0.37125),
('fut1', 'Futuro', 'EUR', 96.2875),
('fut2', 'Futuro', 'EUR', 96.7875),
('fut3', 'Futuro', 'EUR', 96.9875),
('fut4', 'Futuro', 'EUR', 96.6875),
('s10y', 'Swap', 'EUR', 0.05165),
('s12y', 'Swap', 'EUR', 0.23),
('s15y', 'Swap', 'EUR', 0.055175),
('s20y', 'Swap', 'EUR', 0.07),
('s2y', 'Swap', 'EUR', 0.037125),
('s3y', 'Swap', 'EUR', 0.0398),
('s5y', 'Swap', 'EUR', 0.0443);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `swaps`
--

DROP TABLE IF EXISTS `swaps`;
CREATE TABLE IF NOT EXISTS `swaps` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `PLAZO` int(3) unsigned NOT NULL,
  `PERIODO` enum('Dia','Semana','Mes','Anio') COLLATE latin1_spanish_ci NOT NULL,
  `FIXED_BUS_CONVENTION` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `FIXED_CAL_CONVENTION` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `FIXEDLEG_FRECUENCY` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `FLOATING_INDEX` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FLOATING_INDEX` (`FLOATING_INDEX`),
  KEY `FIXEDLEG_FRECUENCY` (`FIXEDLEG_FRECUENCY`),
  KEY `FIXED_BUS_CONVENTION` (`FIXED_BUS_CONVENTION`),
  KEY `FIXED_CAL_CONVENTION` (`FIXED_CAL_CONVENTION`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Interest Rate Swap';

--
-- Volcado de datos para la tabla `swaps`
--

INSERT INTO `swaps` (`ID`, `PLAZO`, `PERIODO`, `FIXED_BUS_CONVENTION`, `FIXED_CAL_CONVENTION`, `FIXEDLEG_FRECUENCY`, `FLOATING_INDEX`) VALUES
('s10y', 10, 'Anio', 'ModifiedFollowing', 'Actual360', 'Annual', 'EURIBOR6M'),
('s15y', 15, 'Anio', 'ModifiedFollowing', 'Actual360', 'Annual', 'EURIBOR6M'),
('s20y', 20, 'Anio', 'Following', 'Actual360', 'Annual', 'EURIBOR6M'),
('s2y', 2, 'Anio', 'ModifiedFollowing', 'Actual360', 'Annual', 'EURIBOR6M'),
('s3y', 3, 'Anio', 'ModifiedFollowing', 'Actual360', 'Annual', 'EURIBOR6M'),
('s5y', 5, 'Anio', 'ModifiedFollowing', 'Actual360', 'Annual', 'EURIBOR6M');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipos_cambio`
--

DROP TABLE IF EXISTS `tipos_cambio`;
CREATE TABLE IF NOT EXISTS `tipos_cambio` (
  `DOMESTIC_ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `FOREIGN_ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  `QUOTE` double NOT NULL,
  PRIMARY KEY (`DOMESTIC_ID`,`FOREIGN_ID`),
  KEY `FOREIGN_ID` (`FOREIGN_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Cambio en pares de divisas';

--
-- Volcado de datos para la tabla `tipos_cambio`
--

INSERT INTO `tipos_cambio` (`DOMESTIC_ID`, `FOREIGN_ID`, `QUOTE`) VALUES
('EUR', 'ARG', 2.24),
('EUR', 'MIA', 3.45),
('EUR', 'USD', 1.37);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_producto`
--

DROP TABLE IF EXISTS `tipo_producto`;
CREATE TABLE IF NOT EXISTS `tipo_producto` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tipos de producto';

--
-- Volcado de datos para la tabla `tipo_producto`
--

INSERT INTO `tipo_producto` (`ID`) VALUES
('AsianOption'),
('CapFloor'),
('CCS'),
('CDS'),
('Cliquet'),
('EnergyBasisSwap'),
('EnergyFuture'),
('EnergyVanillaSwap'),
('European Option'),
('Forward'),
('InflationSwap'),
('IRS'),
('QuantoOption'),
('Swaption');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_producto_mercado`
--

DROP TABLE IF EXISTS `tipo_producto_mercado`;
CREATE TABLE IF NOT EXISTS `tipo_producto_mercado` (
  `ID` varchar(50) COLLATE latin1_spanish_ci NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci COMMENT='Tipos de producto de mercado';

--
-- Volcado de datos para la tabla `tipo_producto_mercado`
--

INSERT INTO `tipo_producto_mercado` (`ID`) VALUES
('Deposito'),
('Fra'),
('Futuro'),
('Swap');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `curvas`
--
ALTER TABLE `curvas`
  ADD CONSTRAINT `curvas_ibfk_1` FOREIGN KEY (`CURRENCY_ISO`) REFERENCES `divisas` (`CURRENCY_ISO`),
  ADD CONSTRAINT `curvas_ibfk_2` FOREIGN KEY (`CONVENCION_CALENDARIO`) REFERENCES `convenciones_calendario` (`ID`);

--
-- Filtros para la tabla `curva_producto`
--
ALTER TABLE `curva_producto`
  ADD CONSTRAINT `curva_producto_ibfk_5` FOREIGN KEY (`ID_CURVA`) REFERENCES `curvas` (`ID`),
  ADD CONSTRAINT `curva_producto_ibfk_6` FOREIGN KEY (`ID_PRODUCTO`) REFERENCES `productos` (`ID`);

--
-- Filtros para la tabla `deals`
--
ALTER TABLE `deals`
  ADD CONSTRAINT `deals_ibfk_2` FOREIGN KEY (`PRODUCT`) REFERENCES `tipo_producto` (`ID`),
  ADD CONSTRAINT `deals_ibfk_3` FOREIGN KEY (`CURRENCY_ISO`) REFERENCES `divisas` (`CURRENCY_ISO`);

--
-- Filtros para la tabla `deals_leg`
--
ALTER TABLE `deals_leg`
  ADD CONSTRAINT `deals_leg_ibfk_1` FOREIGN KEY (`ID_DEAL`) REFERENCES `deals` (`ID`),
  ADD CONSTRAINT `deals_leg_ibfk_2` FOREIGN KEY (`ID_LEG`) REFERENCES `leg` (`ID`);

--
-- Filtros para la tabla `depositos`
--
ALTER TABLE `depositos`
  ADD CONSTRAINT `depositos_ibfk_1` FOREIGN KEY (`ID`) REFERENCES `productos` (`ID`);

--
-- Filtros para la tabla `divisas`
--
ALTER TABLE `divisas`
  ADD CONSTRAINT `divisas_ibfk_2` FOREIGN KEY (`INDICE`) REFERENCES `indices_estandar` (`ID`),
  ADD CONSTRAINT `divisas_ibfk_3` FOREIGN KEY (`CALENDAR_ID`) REFERENCES `calendarios` (`CALENDAR_ID`);

--
-- Filtros para la tabla `divisa_defecto`
--
ALTER TABLE `divisa_defecto`
  ADD CONSTRAINT `divisa_defecto_ibfk_1` FOREIGN KEY (`CURRENCY_ISO`) REFERENCES `divisas` (`CURRENCY_ISO`);

--
-- Filtros para la tabla `european_option`
--
ALTER TABLE `european_option`
  ADD CONSTRAINT `european_option_ibfk_10` FOREIGN KEY (`TIPO_SUBYACENTE`) REFERENCES `tipo_producto_mercado` (`ID`),
  ADD CONSTRAINT `european_option_ibfk_11` FOREIGN KEY (`SUBYACENTE`) REFERENCES `productos` (`ID`),
  ADD CONSTRAINT `european_option_ibfk_12` FOREIGN KEY (`CONVENCION_CALENDARIO`) REFERENCES `convenciones_calendario` (`ID`);

--
-- Filtros para la tabla `familia_tipo_producto`
--
ALTER TABLE `familia_tipo_producto`
  ADD CONSTRAINT `familia_tipo_producto_ibfk_3` FOREIGN KEY (`ID_FAMILIA`) REFERENCES `familias` (`ID`),
  ADD CONSTRAINT `familia_tipo_producto_ibfk_4` FOREIGN KEY (`ID_PRODUCTO`) REFERENCES `tipo_producto` (`ID`);

--
-- Filtros para la tabla `fijaciones`
--
ALTER TABLE `fijaciones`
  ADD CONSTRAINT `fijaciones_ibfk_1` FOREIGN KEY (`INDICE`) REFERENCES `indices` (`ID`);

--
-- Filtros para la tabla `fras`
--
ALTER TABLE `fras`
  ADD CONSTRAINT `fras_ibfk_1` FOREIGN KEY (`ID`) REFERENCES `productos` (`ID`);

--
-- Filtros para la tabla `futuros`
--
ALTER TABLE `futuros`
  ADD CONSTRAINT `futuros_ibfk_1` FOREIGN KEY (`ID`) REFERENCES `productos` (`ID`);

--
-- Filtros para la tabla `indices`
--
ALTER TABLE `indices`
  ADD CONSTRAINT `indices_ibfk_1` FOREIGN KEY (`INDICE_ESTANDAR`) REFERENCES `indices_estandar` (`ID`);

--
-- Filtros para la tabla `irs`
--
ALTER TABLE `irs`
  ADD CONSTRAINT `irs_ibfk_3` FOREIGN KEY (`ID`) REFERENCES `deals` (`ID`);

--
-- Filtros para la tabla `leg`
--
ALTER TABLE `leg`
  ADD CONSTRAINT `leg_ibfk_10` FOREIGN KEY (`CONTADOR`) REFERENCES `convenciones_calendario` (`ID`),
  ADD CONSTRAINT `leg_ibfk_11` FOREIGN KEY (`CURVA_ID`) REFERENCES `curvas` (`ID`),
  ADD CONSTRAINT `leg_ibfk_8` FOREIGN KEY (`FRECUENCIA`) REFERENCES `frecuencias` (`ID`),
  ADD CONSTRAINT `leg_ibfk_9` FOREIGN KEY (`CONVENCION`) REFERENCES `convenciones_festivos` (`ID`);

--
-- Filtros para la tabla `leg_fixed`
--
ALTER TABLE `leg_fixed`
  ADD CONSTRAINT `leg_fixed_ibfk_3` FOREIGN KEY (`ID`) REFERENCES `leg` (`ID`);

--
-- Filtros para la tabla `leg_floating`
--
ALTER TABLE `leg_floating`
  ADD CONSTRAINT `leg_floating_ibfk_1` FOREIGN KEY (`ID`) REFERENCES `leg` (`ID`),
  ADD CONSTRAINT `leg_floating_ibfk_2` FOREIGN KEY (`ID_FLOATING_INDEX`) REFERENCES `indices` (`ID`);

--
-- Filtros para la tabla `productos`
--
ALTER TABLE `productos`
  ADD CONSTRAINT `productos_ibfk_1` FOREIGN KEY (`CURRENCY_ISO`) REFERENCES `divisas` (`CURRENCY_ISO`);

--
-- Filtros para la tabla `swaps`
--
ALTER TABLE `swaps`
  ADD CONSTRAINT `swaps_ibfk_10` FOREIGN KEY (`FLOATING_INDEX`) REFERENCES `indices` (`ID`),
  ADD CONSTRAINT `swaps_ibfk_6` FOREIGN KEY (`ID`) REFERENCES `productos` (`ID`),
  ADD CONSTRAINT `swaps_ibfk_7` FOREIGN KEY (`FIXED_BUS_CONVENTION`) REFERENCES `convenciones_festivos` (`ID`),
  ADD CONSTRAINT `swaps_ibfk_8` FOREIGN KEY (`FIXED_CAL_CONVENTION`) REFERENCES `convenciones_calendario` (`ID`),
  ADD CONSTRAINT `swaps_ibfk_9` FOREIGN KEY (`FIXEDLEG_FRECUENCY`) REFERENCES `frecuencias` (`ID`);

--
-- Filtros para la tabla `tipos_cambio`
--
ALTER TABLE `tipos_cambio`
  ADD CONSTRAINT `tipos_cambio_ibfk_1` FOREIGN KEY (`DOMESTIC_ID`) REFERENCES `divisas` (`CURRENCY_ISO`),
  ADD CONSTRAINT `tipos_cambio_ibfk_2` FOREIGN KEY (`FOREIGN_ID`) REFERENCES `divisas` (`CURRENCY_ISO`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
