//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef CURVASWINDOW_H
#define CURVASWINDOW_H

#include <QDialog>
#include "nuevacurvawindow.h"

namespace Ui {
    class CurvasWindow;
}

class CurvasWindow : public QDialog
{
    Q_OBJECT

public:
    explicit CurvasWindow(QWidget *parent = 0);
    ~CurvasWindow();

private slots:
    void on_insertarCurvaButton_clicked();

    void on_eliminarCurvaButton_clicked();

    void on_tablaCurvas_cellClicked(int row, int column);

    void on_tablaCurvas_cellEntered(int row, int column);

    void keyPressEvent(QKeyEvent *e);

    void on_pushButton_4_clicked();

private:
    Ui::CurvasWindow *ui;
};

#endif // CURVASWINDOW_H
