//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef DEPOSITOSWINDOW_H
#define DEPOSITOSWINDOW_H

#include <QDialog>

namespace Ui {
    class DepositosWindow;
}

class DepositosWindow : public QDialog
{
    Q_OBJECT

public:
    explicit DepositosWindow(QWidget *parent = 0);
    ~DepositosWindow();

private slots:
    void on_addDepoButton_clicked();

    void on_delDepoButton_clicked();

    void on_tableWidget_cellChanged(int row, int column);

    void on_cleanButton_clicked();

    void on_refrescarButton_clicked();

    void keyPressEvent(QKeyEvent *e);

private:
    Ui::DepositosWindow *ui;
    bool initializing;
};

#endif // DEPOSITOSWINDOW_H
