//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef FRASWINDOW_H
#define FRASWINDOW_H

#include <QDialog>

namespace Ui {
    class FrasWindow;
}

class FrasWindow : public QDialog
{
    Q_OBJECT

public:
    explicit FrasWindow(QWidget *parent = 0);
    ~FrasWindow();

private slots:
    void on_addFraButton_clicked();

    void on_delFraButton_clicked();

    void on_tableWidget_cellChanged(int row, int column);

    void on_cleanButton_clicked();

    void on_refrescarButton_clicked();

    void keyPressEvent(QKeyEvent *e);


private:
    Ui::FrasWindow *ui;
    bool initializing;
};

#endif // FRASWINDOW_H
