//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef FUTUROSWINDOW_H
#define FUTUROSWINDOW_H

#include <QDialog>

namespace Ui {
    class FuturosWindow;
}

class FuturosWindow : public QDialog
{
    Q_OBJECT

public:
    explicit FuturosWindow(QWidget *parent = 0);
    ~FuturosWindow();

private slots:
    void on_addFuturoButton_clicked();

    void on_cleanButton_clicked();

    void on_delFuturoButton_clicked();

    void on_tableWidget_cellChanged(int row, int column);

    void on_pushButton_clicked();

    void keyPressEvent(QKeyEvent *e);

private:
    Ui::FuturosWindow *ui;
    bool initializing;
};

#endif // FUTUROSWINDOW_H
