//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef INDICESWINDOW_H
#define INDICESWINDOW_H

#include <QDialog>

namespace Ui {
    class IndicesWindow;
}

class IndicesWindow : public QDialog
{
    Q_OBJECT

public:
    explicit IndicesWindow(QWidget *parent = 0);
    ~IndicesWindow();

private slots:
    void on_addIndiceButton_clicked();

    void on_delIndiceButton_clicked();

    void on_cleanButton_clicked();

    void keyPressEvent(QKeyEvent *e);

    void on_comboBoxIndiceStd_currentIndexChanged(const QString &arg1);

    void on_pushButtonFijaciones_clicked();

    void on_tableWidget_cellClicked(int row, int column);

private:
    Ui::IndicesWindow *ui;
};

#endif // INDICESWINDOW_H
