//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef IRSWINDOW_H
#define IRSWINDOW_H

#include <QDialog>
#include <QAbstractButton>

namespace Ui {
    class IRSWindow;
}

class IRSWindow : public QDialog
{
    Q_OBJECT

public:
    explicit IRSWindow(int ID, QWidget *parent = 0);
    QString contractID;
    ~IRSWindow();

private slots:
    void on_pushButtonDesdeCalSettlement_clicked();

    void on_pushButtonDesdeCalMaturity_clicked();

    void on_pushButtonDesdeCalFwdStart_clicked();

    void on_checkBoxIsFwd_clicked();

    void on_pushButtonValorar_clicked();

    void keyPressEvent(QKeyEvent *e);

    void on_pushButtonFlujosFijos_clicked();

    void on_pushButtonFlujosFlotantes_clicked();

    void on_buttonBox_clicked(QAbstractButton *button);

private:
    Ui::IRSWindow *ui;
    int dealID;
};

#endif // IRSWINDOW_H
