//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "DBTools.h"



namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:

    void on_actionSalir_triggered();

    void on_actionPricing_triggered();

    void on_actionDepositos_triggered();

    void on_actionFuturos_triggered();

    void on_actionCurvas_triggered();

    void on_actionFRAs_triggered();

    void on_actionSwaps_triggered();

    void on_actionIndices_triggered();

    void on_actionDivisas_triggered();

    void on_actionCalendarios_triggered();

    void on_botonValorar_clicked();

    void on_actionTipos_de_cambio_triggered();

    void on_actionSimulaci_n_triggered();

    void on_actionExportar_triggered();

    void on_actionAcerca_de_triggered();

    void on_actionContenido_triggered();

private:
    Ui::MainWindow *ui;
    static DBHandler *DB;
    static QString defaultCurrency;
};

#endif // MAINWINDOW_H
