//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef NUEVACURVAWINDOW_H
#define NUEVACURVAWINDOW_H

#include <QDialog>
#include <DBTools.h>

namespace Ui {
    class NuevaCurvaWindow;
}

class NuevaCurvaWindow : public QDialog
{
    Q_OBJECT

public:
    explicit NuevaCurvaWindow(QWidget *parent = 0);
    ~NuevaCurvaWindow();

private slots:
    void on_comboProductos_activated(const QString &arg1);

    void on_tablaProductos_cellClicked(int row, int column);

    void on_pushButton_clicked();

    void on_tablaCurvas_clicked(const QModelIndex &index);

    void on_pushButtonEliminarDeCurva_clicked();

    void on_buttonBox_rejected();

    void on_buttonBox_accepted();

    void keyPressEvent(QKeyEvent *e);

private:
    Ui::NuevaCurvaWindow *ui;
    int actualProductRow;

};

#endif // NUEVACURVAWINDOW_H
