//****************************************************************************//
// Manuel Martínez Liébana                                                    //
// TFC - Ingeniería Técnica Informática de Gestión                            //
// UOC - 2012                                                                 //
//****************************************************************************//

#ifndef SWAPSWINDOW_H
#define SWAPSWINDOW_H

#include <QDialog>

namespace Ui {
    class SwapsWindow;
}

class SwapsWindow : public QDialog
{
    Q_OBJECT

public:
    explicit SwapsWindow(QWidget *parent = 0);
    ~SwapsWindow();

private slots:
    void on_addSwapButton_clicked();

    void on_delSwapButton_clicked();

    void on_tableWidget_cellChanged(int row, int column);

    void on_cleanButton_clicked();

    void on_refrescarButton_clicked();

    void keyPressEvent(QKeyEvent *e);

private:
    Ui::SwapsWindow *ui;
    bool initializing;
};

#endif // SWAPSWINDOW_H
