#!/bin/bash

export PASS=

echo Instalando Quantlib...
apt-get install -y libquantlib-1.1 >/dev/null 2>&1
apt-get install -y libquantlib0-dev >/dev/null 2>&1
echo Instalando QT...
apt-get install -y libqt4-sql >/dev/null 2>&1
apt-get install -y libqtgui4 >/dev/null 2>&1
apt-get install -y libqtcore4 >/dev/null 2>&1
echo Comprobando mysql...
apt-get install -y mysql-server >/dev/null 2>&1
echo Instalando DB
if [ "_" == "_${PASS}" ]
then
	mysql -uroot mysql < ./crea_user.sql
	mysql -uroot < ./crea_database.sql
	mysql -uroot finanval  < ./crea_finanval.sql

else
	mysql -uroot -p${PASS} mysql < ./crea_user.sql
	mysql -uroot -p${PASS} < ./crea_database.sql
	mysql -uroot -p${PASS} finanval  < ./crea_finanval.sql

fi
cp ./Finanval /usr/local/bin/Finanval >/dev/null 2>&1
mkdir /usr/share/doc/Finanval >/dev/null 2>&1
cp -R ./ayuda* /usr/share/doc/Finanval >/dev/null 2>&1
echo Instalacion finalizada.
